#
# spec file for package qlgc-fastlinq (Version 8.18.22.0)
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

Name:           qlgc-fastlinq
Summary:        QLogic Everest FastLinQ Linux Drivers
Version:        8.18.22.0
Release:        4.1
# Source tarfile is created by pulling the kernel module code from
# the tarfile provided by QLogic in bsc#993152. No libqedr code or
# build is included in this package. 
Source0:        fastlinq-%{version}.tar.bz2
License:        GPL-2.0
Group:          System/Kernel
BuildRequires:  %kernel_module_package_buildreqs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%kernel_module_package -p %_sourcedir/preamble

%description
This package contains the QLogic Everest FastLinQ Linux Drivers.

%package firmware
Summary:        QLogic Everest FastLinQ Firmware
Group:          System/Kernel

%description firmware
This package contains firmware files for QLogic Everest FastLinQ devices.

%prep
%setup -n fastlinq-%{version}
set -- *
mkdir source
mv "$@" source
# Note: Source provided by QLogic includes Module.supported files
# so no need to create Module.supported files
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/qed-%{version}/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/qede-%{version}/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/qedr-%{version}/src
    cp -f $PWD/obj/$flavor/qed-8.18.22.0/src/Module.symvers \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_if.h \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_fcoe_if.h \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_ll2_if.h \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_chain.h $PWD/obj/$flavor/qedf-%{version}/ 
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/qedf-%{version}
    cp -f $PWD/obj/$flavor/qed-8.18.22.0/src/Module.symvers \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_if.h \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_iscsi_if.h \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_ll2_if.h \
          $PWD/obj/$flavor/qed-8.18.22.0/src/qed_chain.h $PWD/obj/$flavor/qedi-%{version}/
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/qedi-%{version}
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{kernel_module_package_moddir %name}
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor/qed-%{version}/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor/qede-%{version}/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor/qedf-%{version}
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor/qedi-%{version}
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor/qedr-%{version}/src
done


install -D -m 755 source/qed-%{version}/src/qed_init_values_zipped.bin $RPM_BUILD_ROOT/lib/firmware/qed/qed_init_values_zipped-%{version}.bin

%clean
rm -rf %{buildroot}

%files firmware
%defattr(-,root,root)
/lib/firmware/qed

%changelog
* Tue Jun  6 2017 sbahling@suse.com
- Package firmware in sub-package
* Wed May  3 2017 sbahling@suse.com
- Repackage as qlgc-fastlinq-8.18.22.0 for HPE
* Tue Apr 25 2017 andavis@suse.com
- Initial SolidDriver build of qlogic-fastlinq-8.18.22.0.
- bsc#993152
